package com.sap.research.dao;

import java.util.List;

import com.google.appengine.api.datastore.EntityNotFoundException;
import com.google.appengine.api.datastore.Key;
import com.sap.research.model.Publication;

public interface PublicationDao {

	public abstract Key persist(Publication publication, String... keywords);

	public abstract Publication load(Key key) throws EntityNotFoundException;

	public abstract List<Publication> getAllPublications();

	public abstract List<String> getAllKeywords(Key key);

}